<?php
if(get_theme_mod('about_area_disable') != 'on' ){
?>
	<?php 
		if( get_theme_mod('about_areaTpadding',true) ) {
			$about_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('about_areaTpadding')).';';
		}
		if( get_theme_mod('about_areaBpadding',true) ) {
			$about_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('about_areaBpadding')).';';
		}
		if( get_theme_mod('about_areawave',true) ) {
			$about_areawave = 'top:'.esc_attr(get_theme_mod('about_areawave')).';';
		}
	?>			
	<div class="about-area" id="about">
		<div class="container">
			<div class="about-area-bx">
				<?php
					$about_page_id = get_theme_mod('about_page');
					$abouttitle = get_theme_mod('about_title', 'About us');
					$aboutsubtitle = get_theme_mod('about_subtitle', 'If you did not know, here is a bit about us.');
					$abouttext1 = get_theme_mod('about_text1', 'Far far away, behind the word mountains, far from the countries Vokalia and Consonantia, there live the blind texts. Separated they live in Bookmarksgrove.');
					$abouttext2 = get_theme_mod('about_text2', 'right at the coast of the Semantics, a large language ocean. A small river named Duden flows by their place and supplies it ');
				?>
				<div class="row mr-0">
					<div class="col-lg-6 col-md-12 wow zoomIn">
						<div class="about-leftbx">
							<div class="about-overlay"></div>
							<div class="aboutarea-img">
								<?php 
									$about_image = get_theme_mod('about_image');
									if(!empty($about_image)){
										echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($about_image).'" class="img-responsive secondry-bg-img" />';
									}else{
										echo '<img alt="About us" src="'.get_template_directory_uri().'/images/abotimg.jpg" class="img-responsive" />';
									}

								?>
								<div class="clearfix"></div>
							</div>
							<?php
								$showStatic = true;
								for( $i = 1; $i < 11; $i++ ){
									$aboutus_page_id = get_theme_mod('aboutus_page_title'.$i); 
									if(!empty($aboutus_page_id)){
										$showStatic = false;
										break;
									}
								}
							?>
							<div class="aboutus-post-wrap">
								<?php
								$cols = get_theme_mod('aboutus_npp_count', 2);
								$cols++;
								// echo '$cold: '.$cols;
								switch($cols){
									case 1:
									$colCls = 'col-xl-12 col-lg-12 col-md-12 col-sm-12';
									break;
									case 2:
									case 4:
									case 8:
									case 7:
									case 10:
									case 11:
									case 12:
									$colCls = 'col-xl-4 col-lg-4 col-md-4 col-sm-4';
									break;
									default: 
									$colCls = 'col-xl-4 col-lg-4 col-md-4 col-sm-4';
									break;
								}
								$icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');
								?>
								<div class="aboutus-post-boxes">
									<div class="row mr-0">
								<?php
								for( $i = 1; $i <= $cols; $i++ ){
								if($showStatic === false){
									
									$aboutus_page_count = get_theme_mod('aboutus_page_count'.$i, '3500');
									$aboutus_page_title = get_theme_mod('aboutus_page_title'.$i, 'Etiam feugiat dolor cursus aliquet viverra.');
									$aboutus_page_id = get_theme_mod('aboutus_page'.$i); 
									$aboutus_page_title = get_theme_mod('aboutus_page_title'.$i);
									if($aboutus_page_title){
										
								?>
									<div class=" <?php echo $colCls;?> aboutus-single wow zoomIn  pl-0" >
										<?php if($aboutus_page_title){ ?>
											<div class="about-area-count">
												<span class="about-count count">
													<?php echo $aboutus_page_count; ?></span>
											</div>
											<div class="about-area-data">
												<h4 class="inner-area-title">
													<?php echo $aboutus_page_title; ?>
												</h4>
											</div>
										<div class="clearfix"></div>
										<?php }?>
									</div>
								  <?php
								  }
								}else{?>
									<div class="<?php echo $colCls;?> aboutus-single wow zoomIn pl-0" >
										<div class="about-area-count">
											<span class="about-count count">3500</span>
										</div>
										<div class="about-area-data">
											<h4 class="inner-area-title">
											Fund Raised</h4>
										</div>
										<div class="clearfix"></div>
									</div>
								<?php }
								}?>
								<div class="clearfix"></div>
							</div>
								</div>
							</div>
						</div>
					</div>
					<div class="col-lg-6 col-md-12 abt-rbx wow zoomIn" data-wow-duration="1s">
						<div class="abtsection-title">
							<?php if($abouttitle){ ?>	
								<h2><?php echo ($abouttitle);  ?></h2>
							<?php }?>
						</div>
						<div class="abtsection-subtitle">
							<?php if($aboutsubtitle){ ?>	
								<h4><?php echo ($aboutsubtitle);  ?></h4>
							<?php }?>
						</div>
						<div class="section-subtext">
							<p><?php echo ($abouttext1);  ?></p>
							<p><?php echo ($abouttext2);  ?></p>
						</div>
						<div class="clearfix"></div>
						<div class="abt-btn btn1">
							<?php
								$abtbtntxt = get_theme_mod('abtbtntxt', 'Know More '); 
								$abtbtnlink = get_theme_mod('abtbtnlink', 'add link here');
							?>
								<?php if(!empty($abtbtntxt)){ ?>
									<a href="<?php echo $abtbtnlink ?>">
										<span data-text="<?php echo ($abtbtntxt);  ?>"><?php echo ($abtbtntxt);  ?></span>
									</a>
								<?php }?> 
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
<script type="text/javascript">
		var title = 0;
	jQuery("#about .aboutus-single").each(function(){
	  if ($(this).height() > title) { title = $(this).height(); }
	});
	jQuery("#about .aboutus-single").height(title);


	// on Resize change height

	jQuery(window).resize(function(){
	  jQuery("#about .aboutus-single").height("");
	  var title = 0;
	  jQuery("#about .aboutus-single").each(function(){
	    if ($(this).height() > title) { title = $(this).height(); }
	  });
	  jQuery("#about .aboutus-single").height(title);
	});
</script>
<script>
  $(document).ready(function() {

  var counters = $("#about .count");
  var countersQuantity = counters.length;
  var counter = [];

  for (i = 0; i < countersQuantity; i++) {
    counter[i] = parseInt(counters[i].innerHTML);
  }

  var count = function(start, value, id) {
    var localStart = start;
    setInterval(function() {
      if (localStart < value) {
        localStart++;
        counters[id].innerHTML = localStart;
      }
    }, 40);
  }

  for (j = 0; j < countersQuantity; j++) {
    count(0, counter[j], j);
  }
});
</script>
<?php }  