<?php   
if(get_theme_mod('causes_area_disable') != 'on' ){ ?>
	<?php 
		if( get_theme_mod('causes_areaTpadding',true) ) {
			$causes_areaTpadding = 'padding-top:'.esc_attr(get_theme_mod('causes_areaTpadding')).';';
		}
		if( get_theme_mod('causes_areaBpadding',true) ) {
			$causes_areaBpadding = 'padding-bottom:'.esc_attr(get_theme_mod('causes_areaBpadding')).';';
		}
	?>	
	<div class="causes-area " id="causes" style="<?php echo esc_attr($causes_areaTpadding); ?>" "<?php echo esc_attr($causes_areaBpadding); ?>" >
		<div class="container">
			<div class="causes-single-area" > 
				<?php
					$causes_page_id = get_theme_mod('causes_page');
					$causes_maintitle = get_theme_mod('causes_maintitle', 'Our Causes');
					$causes_button = get_theme_mod('causes_button', 'ALL CAUSES');
					$causes_buttonlink = get_theme_mod('causes_buttonlink', '#');
					$causes_text = get_theme_mod('causes_text', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.   ');
				?>
				<?php if($causes_maintitle || $causes_button ){ ?>
					<div class="section-heading">
						<div class="heading-brd1"></div>
						<div class="row">
							<div class="col-md-6 col-sm-6">
								<?php if($causes_maintitle){ ?>	
									<div class="section-title">
										<h2><?php echo ($causes_maintitle);  ?></h2>
									</div>
								<?php }?>
							</div>
							<div class="col-md-6 col-sm-6 section-rghtbx">
								<?php if($causes_button){ ?>	
									<div class="section-btn">
										<a href="<?php echo ($causes_buttonlink);  ?>"><?php echo ($causes_button);  ?></a>
									</div>
								<?php }?>
							</div>
						</div>
					</div>
				<?php }?>
				<?php if($causes_text){ ?>	
					<div class="section-text">
						<p><?php echo ($causes_text);  ?></p>
					</div>
				<?php }?>
				<div class="serbx">
					<div class="row">
						<?php
							$showStatic = true;
							for( $i = 1; $i < 9; $i++ ){
								$url = get_theme_mod('causes_page_url_'.$i, '#');
								$luzuk_causes_page_id = get_theme_mod('causes_image'.$i); 
								if(!empty($luzuk_causes_page_id)){
									$showStatic = false;
									break;
								}
							}
						?>
						<?php
							$cols = get_theme_mod('causes_npp_count', 2);
							$cols++;

							switch($cols){
								case 1:
								$colCls = 'col-lg-12 col-md-12 col-sm-12';
								break;
								case 2:	
								$colCls = 'col-lg-6 col-md-6 col-sm-6';
								break;
								case 3:
								case 5:
								case 6:
								case 9:
								case 11:
								case 13:
								case 15:
								$colCls = 'col-lg-4 col-md-6 col-sm-6';
								break;
								default: 
								$colCls = 'col-lg-4 col-md-6 col-sm-6';
								break;
							}
							$icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');
						?>
						<?php
						for( $i = 1; $i <= $cols; $i++ ){
							if($showStatic === false){
								$url = get_theme_mod('causes_page_url_'.$i, '#');
								$luzuk_causes_title_img = get_theme_mod('causes_image'.$i);
								$causes_page_title = get_theme_mod('causes_page_title'.$i, 'Child Support');
								//$luzuk_causes_page_id = get_theme_mod('luzuk_oursteps_page'.$i); 
								$causes_title_text = get_theme_mod('causes_page_text'.$i);
								$causes_btn_text = get_theme_mod('causes_btn_text'.$i);
								$causes_image = get_theme_mod('causes_image'.$i);
								if($causes_image){
						?>
							<div class="<?php echo $colCls;?> single-causes-bx wow zoomIn">
								<div class="single-causes " ser-match-height>
									<div class="causes-icon">
										<a href="<?php echo esc_url(!empty($url)?$url:'#');?>">
											<?php
												echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($luzuk_causes_title_img).'" class="img-responsive secondry-bg-img" />';
											?>
										</a>
									</div>
									<div class="sertxbx">
										<a href="<?php echo esc_url(!empty($url)?$url:'#');?>">
											<h4 class="post-title inner-area-title wow fadeInDown">
											<?php echo $causes_page_title; ?></h4>
										</a>
										<p class="section-area-text"><?php echo $causes_title_text; ?></p>
										<?php 
											if($causes_btn_text){
										 ?>	
											<div class="serbtn">
												<a href="<?php echo esc_url(!empty($url)?$url:'#');?>" class="btn-brd"><span><?php echo $causes_btn_text; ?></span></a>
											</div>
										<?php } ?>	
									</div>							
								</div>
							</div>
							<?php					
									}
								}else{?>
							<div class="<?php echo $colCls;?> single-causes-bx wow zoomIn">
								<div class="single-causes " ser-match-height>
									<div class="causes-icon">
										<a href="#">
											<img class="img-responsive" src="<?php echo esc_url(get_template_directory_uri().'/images/ser2.jpg');?>" alt="causes" />
										</a>
									</div>
									<div class="sertxbx">
										<a href="#">
											<h4 class="post-title inner-area-title wow fadeInDown">Child Support</h4>
										</a>
										<p class="section-area-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Quis ipsum labore suspendisse ultrices gravida . </p>
										<div class="serbtn">
											<a href="#" class="btn-brd"><span>Donate Now</span></a>
										</div>	
									</div>							
								</div>
							</div>
								<?php }

							}?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	
	<script type="text/javascript">
    var title = 0;
    jQuery(".causes-area .sertxbx").each(function(){
      if ($(this).height() > title) { title = $(this).height(); }
    });
    jQuery(".causes-area .sertxbx").height(title);


    // on Resize change height

    jQuery(window).resize(function(){
      jQuery(".causes-area .sertxbx").height("");
      var title = 0;
      jQuery(".causes-area .sertxbx").each(function(){
        if ($(this).height() > title) { title = $(this).height(); }
      });
      jQuery(".causes-area .sertxbx").height(title);
    });
</script>

<?php }