<?php
/**
 *
 * @package Slider Premium
 */
?>
<?php $showContent = get_theme_mod('slider_section_show_content', 'on'); ?>
<div id="slider" class="slider_section">
    <div class="slider-area">
        <div class="row">
            <div  class="owl-carousel">
                <?php
                $args = array( 'post_type' => 'slider', 'orderby'   => 'id', 'order' => 'DESC',);
                if(!empty($pageId)){
                    $args['page_id'] = absint($pageId);

                }
                $text = '';
                $query = new WP_Query($args);
                if($query->have_posts()){
                    while($query->have_posts()) : $query->the_post(); 
                    

                    if( get_theme_mod('slider_areaOpacity',true) ) {
                        $slider_areaOpacity = 'opacity:'.esc_attr(get_theme_mod('slider_areaOpacity')).';';
                    }
                    if( get_theme_mod('slider_Tfontsize',true) ) {
                        $slider_Tfontsize = 'font-size:'.esc_attr(get_theme_mod('slider_Tfontsize')).';';
                    }

                    $pageLink = '';
                    $slider_btn_link = get_post_meta($post->ID,'slider_btn_link',false);
                    $sliderBtnTxt = get_post_meta($post->ID,'sliderBtnTxt',false);
                    if(!empty($slider_btn_link) && is_array($slider_btn_link)){
                        $pageLink = esc_url(get_permalink($slider_btn_link[0]));
                    }
                    if(!empty($sliderBtnTxt) && is_array($sliderBtnTxt)){
                        $pageLinkTxt = $sliderBtnTxt[0];
                    }else{
                        $pageLinkTxt = 'Start Free Trial';
                    }

                    // $sliderchangedate = get_post_meta($post->ID, 'sliderchangedate', false);
                    // $sliderdatetext = !empty($sliderchangedate[0]) ? $sliderchangedate[0] : '';

                    ?>
                <div class="item">
                    <div class="sliderimg">
                        <?php 
                            if(has_post_thumbnail()){
                                $total_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'full');  
                                echo '<img class="slide-mainimg" alt="'. esc_html(get_the_title()) .'" src="'.esc_url($total_slider_image[0]).'">';
                        }?>
                        <div class="msli-oly"></div>
                    </div>
                    <?php
                    if($showContent == 'on'){
                        ?>
                    <div class="slider_content animated " >
                        <div class="title animated "><?php echo (get_the_title()); ?> </div>
                        <div class="text animated "><?php echo (get_the_content()); ?></div>
                        <?php 
                        if(!empty($pageLink)){ ?>
                            <div class="slide-btna">
                                <div class="btn5 btn1">  
                                    <a href="<?php echo $pageLink; ?>"> 
                                        <span> <?php echo($pageLinkTxt); ?> </span>
                                    </a>
                                </div>
                            </div>
                        <?php }?>
                    </div>
                    <?php }?>
                </div>
                        <?php
                    endwhile;
                }else{ 
                for($i=0;$i<6;$i++){?>
                <div class="item">
                    <div class="sliderimg ">
                        <?php echo '<img class="slide-mainimg " alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/slider1.jpg">';?>
                        <div class="msli-oly"></div>
                    </div>
                    <?php if($showContent == 'on'){?>
                        <div class="slider_content animated " >
                            <div class="title animated ">We Can Make a Difference</div>
                            <div class="text animated ">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt labore et dolore magna aliqua.</div>
                            <div class="slide-btna ">
                                <div class="btn5 btn1">
                                    <a href="#">
                                        <span><?php _e( 'Read More', 'luzuk-premium' ); ?></span>
                                         <span class="line -right"></span>
                                        <span class="line -top"></span>
                                        <span class="line -left"></span>
                                        <span class="line -bottom"></span>
                                    </a>
                                </div>
                            </div>
                        </div>
                    <?php }?>
                </div>
                <?php }
            }?>
            </div>
        </div>
    </div>
    <!-- </div> -->
     <script>
        $(document).ready(function() {
          $('#slider .owl-carousel').owlCarousel({
            refreshClass: 'owl-refresh',
            autoplayTimeout:5000,
            loop: true,
            margin: 0,
            autoHeight: true,
            autoWidth: false,
            autoplay: false,
            animateIn: 'slideInLeft',
            animateOut: 'slideOutRight',
            responsiveClass: true,
            navText: [
                    'PREV',
                    'NEXT'
                ],
            responsive: {
              0: {
                items: 1,
                nav: true,
              },
              600: {
                items:1,
                nav: true,
              },
              1000: {
                items:1,
                nav: true,
                loop: true,
              }
            }
          })
        })
    </script>
  
    <div class="clearfix"></div>
    </div>

