<?php
/**
 * Template Name: Contact Page
 *
 * @package luzuk Premium
 */
get_header(); 
?>

<?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<header class="page-main-header" <?php  if (!empty($image)) : ?> style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover; position: relative;"<?php endif ?>>
	<div class="heder-ovly1"></div>
	<div class="container">
	        <div class="innheadlhs">
                <?php //the_title( '<h1 class="ht-main-title wow zoomIn">', '</h1>' ); ?>
                <?php if( get_theme_mod('breadcrumb_button_display','show' ) == 'show') : ?>
	                <div class="breadcrumbbox wow zoomIn">
	                    <div class='button'><?php luzuk_lite_the_breadcrumb(); ?></div>
	                    <div class="clearfix"></div>
	                </div>
                <?php endif ?>
	        </div>
	    <div class="clearfix"></div>
	</div>
</header>
<main id="innerpage-box" >
	<div class="inner-contactarea">
		<div class="container">
			<div class="contact-address-area">
			    <?php 
			    	$conthelp1 = get_theme_mod('conthelp1', 'Medical Care');
			    	$conthelp2 = get_theme_mod('conthelp2', 'Protect & Growth');
			    	$conthelp3 = get_theme_mod('conthelp3', 'Shelter');
			    	$conthelp4 = get_theme_mod('conthelp4', 'Care');
			    	$cntct_pageicon1 = get_theme_mod('contctus_page_icon1', 'fa fa-medkit');
			    	$cntct_pageicon2 = get_theme_mod('contctus_page_icon2', 'fa fa-bar-chart');
			    	$cntct_pageicon3 = get_theme_mod('contctus_page_icon3', 'fa fa-home');
			    	$cntct_pageicon4 = get_theme_mod('contctus_page_icon4', 'fa fa-sign-language');
			    	$cntct_pageurl1 = get_theme_mod('luzuk_fcontact_page_url_1', '#');
			    	$cntct_pageurl2 = get_theme_mod('luzuk_fcontact_page_url_2', '#');
			    	$cntct_pageurl3 = get_theme_mod('luzuk_fcontact_page_url_3', '#');
			    	$cntct_pageurl4 = get_theme_mod('luzuk_fcontact_page_url_4', '#');
			    	$contheading = get_theme_mod('contheading', 'Get In Touch :');
			    	$conttxt = get_theme_mod('conttxt', 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which dont look even slightly believable. ');
			    	$conttxt1 = get_theme_mod('conttxt1', 'If you are going to use a passage of Lorem Ipsum, you need to be sure there isnt anything embarrassing hidden in the middle of text. All the Lorem Ipsum generators on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet. ');
			  		$btntxt = get_theme_mod('luzuk_contactus_btntxt', 'Read More');
			  		$btntxtlink = get_theme_mod('luzuk_contactus_btntxtlink', 'add link here');
			    	$email = get_theme_mod('luzuk_contactus_email', 'Loremipsum@example.com'); 
			    	$email1 = get_theme_mod('luzuk_contactus_email1', 'Loremipsum@example.com');
					$address = get_theme_mod('luzuk_contactus_address', '22 Lorem ipsum dolor sit accumsan facilisis. ');
					$phone = get_theme_mod('luzuk_contactus_phone', '+111 222 1111');
					$phone1 = get_theme_mod('luzuk_contactus_phone1', '+333 444 3333');
					$shortcodeLbl = get_theme_mod('luzuk_contactus_shortcode_lbl', 'Contact Us :');
					$shortcode = get_theme_mod('luzuk_contactus_shortcode', 'Add your form shortcode customizer');
					$iframe = get_theme_mod('luzuk_contactus_embade', 'Add your Embed code in customizer');
					$imgtitle = get_theme_mod('luzuk_contactus_imgtitle', 'Drop us a line :');
					$imgtxt = get_theme_mod('luzuk_contactus_imgtxt', 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some formlievable. ');
					$contact_image = get_theme_mod('contact_image');

				?>
				<div class="cntct-help">
					<div class="row mr-0">
						<div class="col-xl-3 col-lg-3 col-md-3 col-sm-6 cnrct-helpbx">
							<div class="cntct-icon">
								<i class="<?php echo $cntct_pageicon1; ?>" aria-hidden="true"></i>
							</div>
							<div class="cntct-icntitle">
								<a href="<?php echo $cntct_pageurl1; ?>"><h4><?php echo $conthelp1; ?></h4></a>
							</div>
						</div>
						<div class="col-xl-3 col-lg-3 col-md-3 col-sm-6 cnrct-helpbx">
							<div class="cntct-icon">
								<i class="<?php echo $cntct_pageicon2; ?>" aria-hidden="true"></i>
							</div>
							<div class="cntct-icntitle">
								<a href="<?php echo $cntct_pageurl2; ?>"><h4><?php echo $conthelp2; ?></h4></a>
							</div>
						</div>
						<div class="col-xl-3 col-lg-3 col-md-3 col-sm-6 cnrct-helpbx">
							<div class="cntct-icon">
								<i class="<?php echo $cntct_pageicon3; ?>" aria-hidden="true"></i>
							</div>
							<div class="cntct-icntitle">
								<a href="<?php echo $cntct_pageurl3; ?>"><h4><?php echo $conthelp3; ?></h4></a>
							</div>
						</div>
						<div class="col-xl-3 col-lg-3 col-md-3 col-sm-6 cnrct-helpbx">
							<div class="cntct-icon">
								<i class="<?php echo $cntct_pageicon4; ?>" aria-hidden="true"></i>
							</div>
							<div class="cntct-icntitle">
								<a href="<?php echo $cntct_pageurl1; ?>"><h4><?php echo $conthelp4; ?></h4></a>
							</div>
						</div>
					</div>
				</div>
				<div class="contform" >
					<div class="row mr-0">
						<div class="col-lg-4 col-md-12 col-sm-12 ">
							<?php if($contheading || $conttxt || $conttxt1 || $btntxt){ ?>	
								<div class="cont-hdtitle">
									<h1><?php echo ($contheading);  ?></h1>
									<p><?php echo ($conttxt);  ?></p>
									<p><?php echo ($conttxt1);  ?></p>
									<div class="conct-btn">
										<a href="<?php echo ($btntxtlink); ?>"><?php echo ($btntxt); ?></a>
									</div>
								</div>
							<?php }?>
							
						</div>
						<div class="col-lg-8 col-md-12 col-sm-12 pd-0 wow zoomIn  contforminn">
							<div id="ht-contactus-wrap">
								<div class="contact-form">
									<?php if(!empty($shortcodeLbl)){ ?>
						                	<div class="maintle inner-area-title"><?php echo $shortcodeLbl;?></div>	
						            <?php }?>
					                <div class="ctform">
										<?php echo do_shortcode($shortcode);?>	
									</div>
									<div class="clearfix"></div>					
								</div>
							</div>
						</div>
					</div>
					<div class="clearfix"></div>
				</div>
				<?php if(!empty( $phone || $phone1 || $email || $email1 || $address)){ ?>
					<div class="cntlhsbx">	
						<div class="row">
							<div class="col-xl-4 col-lg-4 ">
								<?php if($address ){ ?>
									<div class="cntpgbx wow zoomIn">
										<div class="row mr-0">
											<div class="col-lg-2 col-md-1 col-sm-2 pd-0 cntpgicon">
									   			<div class="cntpgicn">
									   				<i class="fa fa-map-pin" aria-hidden="true"></i>
									   			</div>
									   		</div>
									   		<div class="col-lg-10 col-md-11 col-sm-10 cntpgtxt">
									   			<p><?php echo $address;?></p>				   			
									   		</div>
									   	</div>
								   		<div class="clearfix"></div>
								   	</div>
							 	<?php } ?>
							</div>
							<div class="col-xl-4 col-lg-4">
								<?php if( $phone  || $phone1){ ?>
							   		<div class="cntpgbx wow zoomIn">
							   			<div class="row mr-0">
								   			<div class="col-lg-2 col-md-1 col-sm-2 pd-0 cntpgicon">
									   			<div class="cntpgicn">
									   				<i class="fa fa-phone" ></i> 
									   			</div>
									   		</div>
									   		<div class="col-lg-10 col-md-11 col-sm-10 cntpgtxt">
									   			<a class="" href="tel:<?php echo $phone;?>"><p><?php echo $phone;?></p></a>
									   			<a class="" href="tel:<?php echo $phone1;?>"><p><?php echo $phone1;?></p></a>
								   			</div>
								   		</div>
								   		<div class="clearfix"></div>
								   	</div>
								 <?php } ?>	
							</div>
							<div class="col-xl-4 col-lg-4">
								<?php if( $email || $email1 ){ ?>
									<div class="cntpgbx wow zoomIn">
										<div class="row mr-0">
											<div class="col-lg-2 col-md-1 col-sm-2 pd-0 cntpgicon">
									   			<div class="cntpgicn">
									   				<i class="fa fa-envelope" ></i>
									   			</div>
									   		</div>
									   		<div class="col-lg-10 col-md-11 col-sm-10 cntpgtxt">
									   			<a href="mailto:<?php echo $email;?>"><p><?php echo $email;?></p></a>
									   			<a href="mailto:<?php echo $email1;?>"><p><?php echo $email1;?></p></a>
									   		</div>
									   	</div>
								   		<div class="clearfix"></div>
								   	</div>
								<?php } ?>
							</div>
						</div>
					 	<div class="clearfix"></div>
					</div>
				<?php }?> 
	  			<div class="clearfix"></div>
	  			<div class="row">
	  				<div class="col-lg-6">
	  					<div class="contact-imgbx">
		  					<div class="contact-imgtitle">
		  						<h3><?php echo $imgtitle; ?></h3>
		  						<p><?php echo $imgtxt; ?></p>
		  					</div>
		  					<div class="contact-img">
		  						<?php 
									if(!empty($contact_image)){
										echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($contact_image).'" class="img-responsive secondry-bg-img" />';
									}else{
										echo '<img alt="About us" src="'.get_template_directory_uri().'/images/abotimg.jpg" class="img-responsive" />';
									}
								?>
		  					</div>
		  				</div>
	  				</div>
	  				<div class="col-lg-6">
	  					<div class="contact-mapbox wow zoomIn">
							<?php echo $iframe; ?>
						</div>
	  				</div>
	  			</div>
			</div>
		</div>	
	</div>
	<div class="clearfix"></div>
</main>
<?php get_footer(); ?>