<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>20
	)
);

lzCustomLable($wp_customize, 'luzuk_sec_helpus', 'luzuk_premium_contactus_section', 'Help Box Settings ');

lzCustomLable($wp_customize, 'luzuk_sec_helpusbx1', 'luzuk_premium_contactus_section', 'Help Box 1 ');

$wp_customize->add_setting(
        'contctus_page_icon1',
        array(
            'default'           => 'fa fa-medkit',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'contctus_page_icon1',
            array(
                'settings'      => 'contctus_page_icon1',
                'section'       => 'luzuk_premium_contactus_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

$wp_customize->add_setting(
	'conthelp1',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Medical Care', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'conthelp1',
	array(
		'settings'      => 'conthelp1',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Title', 'luzuk Premium' )
	)
);	

lzAddElement($wp_customize, 'luzuk_fcontact_page_url_1', 'luzuk_premium_contactus_section', $type = 'text', $label=" Link", $callback ='esc_url', $default='Add link here');

lzCustomLable($wp_customize, 'luzuk_sec_helpusbx2', 'luzuk_premium_contactus_section', 'Help Box 2 ');

$wp_customize->add_setting(
        'contctus_page_icon2',
        array(
            'default'           => 'fa fa-bar-chart',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'contctus_page_icon2',
            array(
                'settings'      => 'contctus_page_icon2',
                'section'       => 'luzuk_premium_contactus_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

$wp_customize->add_setting(
	'conthelp2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Protect & Growth', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'conthelp2',
	array(
		'settings'      => 'conthelp2',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Title', 'luzuk Premium' )
	)
);

lzAddElement($wp_customize, 'luzuk_fcontact_page_url_2', 'luzuk_premium_contactus_section', $type = 'text', $label=" Link", $callback ='esc_url', $default='Add link here');

lzCustomLable($wp_customize, 'luzuk_sec_helpusbx3', 'luzuk_premium_contactus_section', 'Help Box 3 ');

$wp_customize->add_setting(
        'contctus_page_icon3',
        array(
            'default'           => 'fa fa-home',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'contctus_page_icon3',
            array(
                'settings'      => 'contctus_page_icon3',
                'section'       => 'luzuk_premium_contactus_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

$wp_customize->add_setting(
	'conthelp3',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Shelter', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'conthelp3',
	array(
		'settings'      => 'conthelp3',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Title', 'luzuk Premium' )
	)
);

lzAddElement($wp_customize, 'luzuk_fcontact_page_url_3', 'luzuk_premium_contactus_section', $type = 'text', $label=" Link", $callback ='esc_url', $default='Add link here');

lzCustomLable($wp_customize, 'luzuk_sec_helpusbx4', 'luzuk_premium_contactus_section', 'Help Box 4 ');

$wp_customize->add_setting(
        'contctus_page_icon4',
        array(
            'default'           => 'fa fa-sign-language',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'contctus_page_icon4',
            array(
                'settings'      => 'contctus_page_icon4',
                'section'       => 'luzuk_premium_contactus_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

$wp_customize->add_setting(
	'conthelp4',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Care', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'conthelp4',
	array(
		'settings'      => 'conthelp4',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Title', 'luzuk Premium' )
	)
);

lzAddElement($wp_customize, 'luzuk_fcontact_page_url_4', 'luzuk_premium_contactus_section', $type = 'text', $label=" Link", $callback ='esc_url', $default='Add link here');

lzCustomLable($wp_customize, 'luzuk_sec_helpbxclr', 'luzuk_premium_contactus_section', 'Help Box Color ');

addColorPalatOption($wp_customize, 'luzuk_contactus_helpicnClr', 'luzuk_premium_contactus_section', 'Icon Color', '#7c7e83');

addColorPalatOption($wp_customize, 'luzuk_contactus_helptitleClr', 'luzuk_premium_contactus_section', 'Title Color', '#7c7e83');

lzCustomLable($wp_customize, 'luzuk_sec_leftpage', 'luzuk_premium_contactus_section', 'Left Side Box');

$wp_customize->add_setting(
	'contheading',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Get In Touch :', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'contheading',
	array(
		'settings'      => 'contheading',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Heading', 'luzuk Premium' )
	)
);		

$wp_customize->add_setting(
	'conttxt',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which dont look even slightly believable.', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'conttxt',
	array(
		'settings'      => 'conttxt',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Text 1', 'luzuk Premium' )
	)
);	

$wp_customize->add_setting(
	'conttxt1',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'f you are going to use a passage of Lorem Ipsum, you need to be sure there isnt anything embarrassing hidden in the middle of text. All the Lorem Ipsum generators on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet. ', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'conttxt1',
	array(
		'settings'      => 'conttxt1',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Text 2', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_btntxt',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Read More', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_btntxt',
	array(
		'settings'      => 'luzuk_contactus_btntxt',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Button Text', 'luzuk Premium' )
	)
);

$wp_customize->add_setting('luzuk_contactus_btntxtlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('luzuk_contactus_btntxtlink',
    array(
        'settings'      => 'luzuk_contactus_btntxtlink',
        'section'       => 'luzuk_premium_contactus_section',
        'type'          => 'url',
        'label'         => __( 'Add Button Link', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'luzuk_sec_leftpageclr', 'luzuk_premium_contactus_section', 'Left Side Box Color ');

addColorPalatOption($wp_customize, 'luzuk_contactus_lftbxheadingClr', 'luzuk_premium_contactus_section', 'Heading Color', '#414040');

addColorPalatOption($wp_customize, 'luzuk_contactus_lftbxtxtClr', 'luzuk_premium_contactus_section', 'Text Color', '#414040');

addColorPalatOption($wp_customize, 'luzuk_contactus_lftbxbtntxtClr', 'luzuk_premium_contactus_section', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_lftbxbtntxthvClr', 'luzuk_premium_contactus_section', 'Button Text Hover Color', '#efc94c');

addColorPalatOption($wp_customize, 'luzuk_contactus_lftbxbtnbgClr', 'luzuk_premium_contactus_section', 'Button BG Color', '#efc94c');

addColorPalatOption($wp_customize, 'luzuk_contactus_lftbxbtnbghvClr', 'luzuk_premium_contactus_section', 'Button BG Hover Color', '#041d59');

lzCustomLable($wp_customize, 'luzuk_sec_rightpage', 'luzuk_premium_contactus_section', 'Right Side Box ');

$wp_customize->add_setting(
        'contactus_form_heading2',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'contactus_form_heading2',
        array(
            'settings'      => 'contactus_form_heading2',
            'section'       => 'luzuk_premium_contactus_section',
            'label'         => __( 'Form Setting ', 'luzuk-premium' ),
        )
    )
);


$wp_customize->add_setting(
	'luzuk_contactus_shortcode_lbl',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Contact Us :', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode_lbl',
	array(
		'settings'      => 'luzuk_contactus_shortcode_lbl',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_shortcode',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '[your Shortcode]' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode',
	array(
		'settings'      => 'luzuk_contactus_shortcode',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Form Shortcode Here', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_sec_rightpageClr', 'luzuk_premium_contactus_section', 'Right Side Box Color');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtitlebgColor', 'luzuk_premium_contactus_section', 'Box BG Color', '#333741');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtitlebrdColor', 'luzuk_premium_contactus_section', 'Box Border Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtitleColor', 'luzuk_premium_contactus_section', 'Form Heading Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbgClr', 'luzuk_premium_contactus_section', 'Form Text & Placeholder BG Color', '#333741');

addColorPalatOption($wp_customize, 'luzuk_contactus_formborderbottomColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Border Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formicnColor', 'luzuk_premium_contactus_section', 'Form Icon Color', '#efc94b');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Text Hover Color', '#efc94c');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbgColor', 'luzuk_premium_contactus_section', 'Form Button BG Color', '#efc94c');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbghoverColor', 'luzuk_premium_contactus_section', 'Form Button BG Hover Color', '#041d59');

lzCustomLable($wp_customize, 'luzuk_sec_contctdetailsttng', 'luzuk_premium_contactus_section', 'Contact Details Settings ');

$wp_customize->add_setting(
	'luzuk_contactus_phone',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '+111 222 1111', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone',
	array(
		'settings'      => 'luzuk_contactus_phone',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No 1', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_phone1',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '+333 444 3333', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone1',
	array(
		'settings'      => 'luzuk_contactus_phone1',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No 2', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_email',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Loremipsum@example.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email',
	array(
		'settings'      => 'luzuk_contactus_email',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID One', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_email1',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Loremipsum@example.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email1',
	array(
		'settings'      => 'luzuk_contactus_email1',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID Two', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_address',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '22 Lorem ipsum dolor sit accumsan facilisis.', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_address',
	array(
		'settings'      => 'luzuk_contactus_address',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Address', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_sec_contctdetailsclr', 'luzuk_premium_contactus_section', 'Contact Details Color ');

addColorPalatOption($wp_customize, 'luzuk_contactus_leftbxbgClr', 'luzuk_premium_contactus_section', 'Box BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_contactus_leftbxbrdClr', 'luzuk_premium_contactus_section', 'Box Border Color', '#333741');

addColorPalatOption($wp_customize, 'luzuk_contactus_detail1stbgClr', 'luzuk_premium_contactus_section', 'Icon BG Color', '#333741');

addColorPalatOption($wp_customize, 'luzuk_contactus_dicnClr', 'luzuk_premium_contactus_section', 'Box Icon Color', '#efc94b');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemClr', 'luzuk_premium_contactus_section', 'Box  Phone No. , Email, Address Color', '#353638');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemhvClr', 'luzuk_premium_contactus_section', 'Box Email , Phone No. Hover Color', 'D88E2D');

lzCustomLable($wp_customize, 'luzuk_sec_contctimgsttng', 'luzuk_premium_contactus_section', 'Image Box');

$wp_customize->add_setting(
	'luzuk_contactus_imgtitle',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Drop us a line :' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_imgtitle',
	array(
		'settings'      => 'luzuk_contactus_imgtitle',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Image Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_imgtxt',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some formlievable.' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_imgtxt',
	array(
		'settings'      => 'luzuk_contactus_imgtxt',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Image Text', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
    'luzuk_contactus_imgheading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'luzuk_contactus_imgheading',
        array(
            'settings'      => 'luzuk_contactus_imgheading',
            'section'       => 'luzuk_premium_contactus_section',
            'label'         => __( 'Select Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'contact_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'contact_image',
        array(
            'section' => 'luzuk_premium_contactus_section',
            'settings' => 'contact_image',
            'label' => 'Select Image',
            'description' => __('Recommended Image Size: 560X495px', 'luzuk-premium')
        )
    )
);

lzCustomLable($wp_customize, 'luzuk_sec_imgclr', 'luzuk_premium_contactus_section', 'Image Box Color');

addColorPalatOption($wp_customize, 'luzuk_contactus_imgtitleclr', 'luzuk_premium_contactus_section', 'Image Title Color', '#41444d');

addColorPalatOption($wp_customize, 'luzuk_contactus_imgtxtclr', 'luzuk_premium_contactus_section', 'Image Text Color', '#555555');

addColorPalatOption($wp_customize, 'luzuk_contactus_rghtbrdclr', 'luzuk_premium_contactus_section', 'Right Side Border Color', '#41444d');

// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('luzuk_contactus_iframe_lbl', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Heading($wp_customize, 'luzuk_contactus_iframe_lbl',
		array(
			'settings'      => 'luzuk_contactus_iframe_lbl',
			'section'       => 'luzuk_premium_contactus_section',
			'label'         => __( 'Contact Us Address', 'luzuk-premium' ),
		)
	)
);
// field for addeding the map code
$wp_customize->add_setting('luzuk_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add Your Map Embade Code'));
$wp_customize->add_control('luzuk_contactus_embade', array('settings'=>'luzuk_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code For Map', 'luzuk-premium')));